{ self, config, ... }: {
  flake.darwinModules = {
    home = let inherit (config.users) me;
    in {
      home-manager.users.${me} = { imports = [ self.homeModules.darwin ]; };
      users.users.${me} = {
        name = me;
        home = "/Users/${me}";
      };
    };

    default.imports = [
      self.darwinModules_.home-manager
      self.darwinModules.home
      self.nixosModules.common
      ./fish.nix
      ./fonts.nix
      ./homebrew.nix
      ./system-defaults.nix
    ];
  };
}
