{ self, ... }: {
  flake.homeModules = {
    common = {
      home.enableNixpkgsReleaseCheck = true;
      home.stateVersion = "22.05";
      imports = [
        # misc file configuration
        ./files.nix
        # misc program configuration
        ./programs.nix
        # per-program configurations
        ./fish.nix
        ./ghostty.nix
        ./git.nix
        ./helix.nix
        ./kitty.nix
        ./pijul.nix
        ./ssh.nix
        # ./starship-symbols.nix
        ./starship.nix
      ];
    };
    linux.imports = [ self.homeModules.common ];
    darwin.imports = [
      self.homeModules.common
      ./services/dark-mode-notify.nix
      ./services/tarsnap.nix
    ];
  };
}
