{
  programs.starship = {
    enable = true;
    settings = {
      battery.display = [{
        # display battery information if charge is <= 25%
        threshold = 25;
      }];
      # turn on fish directory truncation
      directory.fish_style_pwd_dir_length = 1;
      # number of directories not to truncate
      directory.truncation_length = 2;
      # because it includes cached memory it's reported as full a lot
      memory_usage.disabled = true;
    };
  };
  # TODO: investigate how to get cmd_duration to show up in transient prompt
  # transient prompt
  # programs.starship.enableTransience = true;
  # programs.fish.functions = {
  #   starship_transient_prompt_func.body = ''
  #     starship module directory
  #     starship module cmd_duration
  #     starship module line_break
  #     starship module character
  #     starship module line_break
  #   '';
  # };
}
