{ stdenv, lib, ia-writer-family-src }:
stdenv.mkDerivation {
  pname = "ia-writer-family";
  version = ia-writer-family-src.shortRev;

  src = ia-writer-family-src;

  installPhase = ''
    mkdir -p $out/share/fonts/truetype
    cp "iA Writer "{Mono,Duo,Quattro}/Variable/*.ttf $out/share/fonts/truetype/
  '';

  meta = {
    description = "iA Writer Typeface Family";
    license = lib.licenses.ofl;
    platforms = lib.platforms.all;
  };
}
